Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Spanish Forum

Moderators: tomeu, JCSenar

User avatar
JOPETA
Level 16
Level 16
Posts: 6229
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JOPETA »

JCSenar wrote:Tienes algún otro problema. En Linux Mint 17 Mate 64 bit, con el sistema actualizado pero sin libavcodec56 instalado todavia, ivoox.com se ve y reproduce con normalidad.
Va a ser eso. Descarta la configuración de Navegador como responsable (desactivando bloqueos de script como ABP,...) y comprueba en Firefox que tienes los DRM activados (Menú de Firefox> Preferencias>Contenido>activa Reproducir contenido DRM)
DRM.png
y si no abre un nuevo hilo con el problema. :wink:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
JOPETA
Level 16
Level 16
Posts: 6229
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JOPETA »

Rescatado del hilo Indice de temas esenciales del foro, te comento aquí que creo que es donde corresponde.
JCSenar wrote:Si no quieres utilizar la PPA, se pueden usar los paquetes. Puedes rehacer el primer mensaje del tema y exponer únicamente como solución la instalación de esos 3 paquetes.

Están también en Debian y, si lo prefieres, se podrían enlazar allí en vez de a launchpad:

lbavcodec56

libavresample2

libavutil54

Por explicar el problema y su solución de manera clara y concisa.
En Debian he tenido la oportunidad de comprobar (ya que fue la alternativa elegida en su día para mi instalaciones más puras), que por lo menos a mi me requería otro paquete adicional.
deb4.png
Además de esos tres habría que descargar libopenjpeg5 e instalarlo antes que libavcodec56 como muestra la imagen, de no recurrir a sudo dpkg -i *.deb, claro está . En cualquier caso sigo pensando que es añadir confusión a la idea que trato de transmitir y complicación para lo que debería durar el problema. He reestructurado el contenido. ¿Que te parece en su redacción actual queda clara la idea?. Si fuera por ser conciso es evidente que me ahorraría toda la parrafada y soltaría los cuatro enlaces, pero no sería lo mismo.. Si alguien probando la solución Ubuntu por el mensaje de paquetes rotos y viene al foro no se complicaría más su situación y lección aprendida para la próxima. Los que acudan al foro que elijan con conocimiento de causa. :D

User avatar
JCSenar
Level 10
Level 10
Posts: 3252
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JCSenar »

Sí. Aquí es donde debe estar aunque puede crear confusión el hecho de haber dos sitios desde donde descargar los paquetes y en uno de ellos necesitarse un cuarto :? .

He modificado el mensaje de Esenciales añadiéndo ese paquete que mencionas, por si álguien lo utiliza allí.

El texto está muy bien (salvo algunos fallos de ortografía por las prisas). En el apartado "¿Qué hacer?" se podría añadir un apartado (sería el 4º): Utilizar otro navegador (Chromium o Chrome) para acceder a esas páginas. Tal vez la más sencilla de todas porque funciona sin hacer nada.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 16
Level 16
Posts: 6229
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JOPETA »

JCSenar wrote:En el apartado "¿Qué hacer?" se podría añadir un apartado (sería el 4º): Utilizar otro navegador (Chromium o Chrome) para acceder a esas páginas. Tal vez la más sencilla de todas porque funciona sin hacer nada.
Lo he añadido como opción 3. No se me ocurrió, no uso otro aunque haya probado muchos. Incluso en Windows, que si tengo instalado Chrome, solo uso derivados de Mozilla.
JCSenar wrote:El texto está muy bien (salvo algunos fallos de ortografía por las prisas)
Asi es, si espero a tener tiempo para repasar (o las gafas), normalmente termina en borradores y allí se queda. :roll:

User avatar
JCSenar
Level 10
Level 10
Posts: 3252
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JCSenar »

El problema ya está solucionado a través del Gestor de Actualizaciones. Ya está disponible una nueva versión de libav.

Si habíamos optado por deshabilitar la opción de Firefox about:config > media.libavcodec.allow-obsolete > true ya podemos ponerlo otra vez en false.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 16
Level 16
Posts: 6229
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JOPETA »

Tuve oportunidad de instalar la actualización la noche anterior a tu post en diferentes circunstancias : dejando el libavcodec56 y eliminando los paquetes de dos formas diferentes (deshaciendo los cambios de los paquetes procedentes de la ppa desde orígenes del software y desinstalando completamente los .deb procedentes de Debian). Ningún problema con dejar el libavcodec56 instalado.

Si que parece que el problema ha desaparacido aunque mucho me temo que es sólo por ahora.Viendo el contenido de la actualización (el paquete libav a la versión 9.20 que sigue incluyendo el libavcodec54 o 54-extra es posible que una nueva actualización de Firefox vuelva a causar el mismo problema si no van coordinados los cambios o FF compruebe que en la nueva edición del paquete se han corregido las vulnerabilidades de las que habla. Esperaremos a esta y , de estar solucionado deberá caer como tema destacado.

De ser así podríamos aprovechar el trabajo realizado para ese futuro apartado de recomendaciones.("como evitar los problemas de seguir tutoriales de instalación para Ubuntu" sería un buen título). :D
Last edited by JOPETA on Fri Dec 09, 2016 11:47 am, edited 2 times in total.

User avatar
JCSenar
Level 10
Level 10
Posts: 3252
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Actualizar libavcodec a la versión compatible con Firefox 50 en LM 17.X

Post by JCSenar »

He corregido mi anterior post. No es necesario desinstalar los paquetes libavcodec56 y demás para que aparezca la actualización de libav disponible. Y, sí, parece que cohabitan sin problemas. Y mejor así, por si los fallos futuros.
JOPETA wrote:De ser así podríamos aprovechar el trabajo realizado para ese futuro apartado de recomendaciones.("como evitar los problemas de seguir tutoriales de instalación para Ubuntu" sería un buen título). :D
Estaría bien... :lol:
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

Post Reply

Return to “Español (Spanish)”